<!--
@File Name          : listeUserstory.html
@Description        : 
@Author             : ChangeMeIn@UserSettingsUnder.SFDoc
@Group              : 
@Last Modified By   : ChangeMeIn@UserSettingsUnder.SFDoc
@Last Modified On   : 18/06/2020 à 21:06:13
@Modification Log   : 
Ver       Date            Author      		    Modification
1.0    30/05/2020   ChangeMeIn@UserSettingsUnder.SFDoc     Initial Version
-->
<template>
    <div class='slds-card slds-p-vertical_x-large'>
        <center class="bienvenue" style=" margin-block-end: -4%; font-size: 188%;
        margin-block-start: 3%;
        font-family: cursive;
        font-style: italic;
        color: navy;">
        <p><b> User Story Tables Assigned To The Project "{DetailProjet.Name}"</b></p><br/><br/>
        </center>
    <dl class="slds-list_inline" style="    margin-left: 14%; margin-block-end: 2%;">
        <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
        font-style: italic;">Project Name:</dt>
        <dd class="slds-item_detail slds-truncate" >{DetailProjet.Name}</dd>
        
        <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
        font-style: italic;" >Category:</dt>
        <dd class="slds-item_detail slds-truncate">{DetailProjet.Gat_gorie__c}</dd>
        
        <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
        font-style: italic;">State:</dt>
        <dd class="slds-item_detail slds-truncate" >{DetailProjet.Etat__c}</dd>
        
        <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
        font-style: italic;" >Type:</dt>
        <dd class="slds-item_detail slds-truncate" >{DetailProjet.Type__c}</dd>
        
        <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
        font-style: italic;">Priority:</dt>
        <dd class="slds-item_detail slds-truncate" >{DetailProjet.Priorit__c}</dd>
        
        <dt class="slds-item_label slds-text-color_weak slds-truncate"  style="font-weight: 900;
        font-style: italic;">Start date:</dt>
        <dd class="slds-item_detail slds-truncate" >{DetailProjet.Date_Debut__c}</dd>
        
        <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
        font-style: italic;">End date:</dt>
        <dd class="slds-item_detail slds-truncate" >{DetailProjet.Date_fin__c}</dd>
    </dl>
<dl class="slds-list_inline" style="margin-left: 21%;margin-block-end: 4%;">
    <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
    font-style: italic;">Sprint Name:</dt>
    <dd class="slds-item_detail slds-truncate" >{detailSprint.Name}</dd>
    
    <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
    font-style: italic;" >Description:</dt>
    <dd class="slds-item_detail slds-truncate">{detailSprint.Description__c}</dd>
    
    <dt class="slds-item_label slds-text-color_weak slds-truncate"  style="font-weight: 900;
    font-style: italic;">Start date:</dt>
    <dd class="slds-item_detail slds-truncate" >{detailSprint.Date_Debut__c}</dd>
    
    <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
    font-style: italic;">End date:</dt>
    <dd class="slds-item_detail slds-truncate" >{detailSprint.Date_Fin__c}</dd>
</dl>
</br>
        <template if:true={openmodel}>
            <div class="demo-only">
                <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
                    <div class="slds-modal__container">
                        <header class="slds-modal__header">
                            <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                                <lightning-icon icon-name="utility:close" size="medium">
                                </lightning-icon>
                                <span class="slds-assistive-text">Close</span>
                            </button>
                            <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Ajouter un User Story</h2>
                        </header>
                        <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">     
        <table>
            <tr>
            <td>
            <p>Project Name:</p>
            </td>
            <td>
            <lightning-input type="text" label=" "  required ="required"   value={DetailProjet.Name}  disabled ></lightning-input>
            </td>
            </tr>
            <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
            <TR></TR>
            <tr>
            <td>
                <p>Sprint Name:</p>
            </td>
            <td>
            <lightning-input type="text" label=" "  required ="required"   value={detailSprint.Name}  disabled ></lightning-input>
            </td>
            </tr>
            <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
            <TR></TR>
            <tr>
            <td>
                <p>User Story Name:</p>
            </td>
            <td>
            <lightning-input type="text" label=" " required ="required"  onchange={handleNameuserchange} value={UserStoryRecord.Name} placeholder="type here..."></lightning-input>
            </td>
            </tr>
            <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
            <TR></TR>
            <tr>
            <td>
                <p>Description:</p>
            </td>
            <td>
            <lightning-input type="text" label=" "  required ="required"  onchange={handleDescriptionchange} value={UserStoryRecord.Description__c}  placeholder="type here..."></lightning-input>
            </td>
            </tr> 
            <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
            <TR></TR>
            <tr>
            <td>
            <p>State:</p>
            </td>
            <td> 
                <lightning-combobox name="Etat__c"         
                label=" " value={value} placeholder="-Select-"
                options={pickListvalues} onchange={handleetatchange}>
            </lightning-combobox>
            </td>
            </tr> 
            </table>
        </div>
        <footer class="slds-modal__footer">
            <lightning-button label="cancel" variant="neutral" onclick={closeModal}></lightning-button>
            <lightning-button label="Save" variant="brand" onclick={saveMethod}></lightning-button>
        </footer>
        </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
        </div>
        </template>
        <lightning-button class="btt_ajouter" icon-name="utility:add" style="margin-left: 30%;" label="Add User Story" variat="brand" onclick={openmodal} ></lightning-button>
        </div>
</template>